Jump to content


missing gksu/polkit


  • Please log in to reply
5 replies to this topic

#1 OFFLINE   tforsman

tforsman

    Message Mogul

  • Linux Devs
  • 260 posts

Posted 26 March 2012 - 02:50 AM

Hello all, need some help to locate what usually system calls to open the popup window and give it access.
See pic:

http://img444.imageshack.us/img444/8320/skrmbildb.png

gksu-polkit is installed though, works fine to use: sudo time-admin
time-admin is an application from gnome family.

Any suggestions/tips are welcome.
Foresight | Blog | I've heard: When the RedHat developers present new packages to Linux User-Group, before the meeting is over,Foresight people will have downloaded the source, created a Foresight package, uploaded it,and it will be available for anyone to use.

#2 OFFLINE   tforsman

tforsman

    Message Mogul

  • Linux Devs
  • 260 posts

Posted 26 March 2012 - 03:09 AM

Added

@/usr/bin/gnome-keyring-daemon --start --components=ssh

to /etc/xdg/lxsession/LXDE/autostart

No difference, so problem is somewhere else
Foresight | Blog | I've heard: When the RedHat developers present new packages to Linux User-Group, before the meeting is over,Foresight people will have downloaded the source, created a Foresight package, uploaded it,and it will be available for anyone to use.

#3 OFFLINE   Urmas

Urmas

    GUI Penguin

  • Forum Admins
  • 4,058 posts

Posted 26 March 2012 - 03:50 AM

Policykit issues can be... interesting. (When I added KDE "to" [GNOME/Unity] Ubuntu, I had similar "GUI authentication problems" in KDE... it turned out "polkit-kde-1" was not installed.)

Anyways... there might be some ideas here:
https://bugs.launchpad.net/ubuntu/+source/p...ome/+bug/540247


hmm.gif

#4 OFFLINE   tforsman

tforsman

    Message Mogul

  • Linux Devs
  • 260 posts

Posted 26 March 2012 - 03:56 AM

Thanks, started to look at pokit stuff, found out that: polkit-gnome only had OnlyShowIn=GNOME;XFCE;
fixed: http://lists.rpath.org/pipermail/foresight...rch/053204.html   smile.gif

Let's see if it solves my issue, some other polkit stuff had already LXDE.

Won't be able to test until i get back from work though.
Foresight | Blog | I've heard: When the RedHat developers present new packages to Linux User-Group, before the meeting is over,Foresight people will have downloaded the source, created a Foresight package, uploaded it,and it will be available for anyone to use.

#5 OFFLINE   Urmas

Urmas

    GUI Penguin

  • Forum Admins
  • 4,058 posts

Posted 26 March 2012 - 03:58 AM

Oops! LXDE? Looky here:

http://max.educa.madrid.org:8000/changeset...efault-settings

#6 OFFLINE   tforsman

tforsman

    Message Mogul

  • Linux Devs
  • 260 posts

Posted 26 March 2012 - 03:30 PM

fixed, was the issue i found and fixed. It now works perfectly. Thanks anyway for some pointers.
Foresight | Blog | I've heard: When the RedHat developers present new packages to Linux User-Group, before the meeting is over,Foresight people will have downloaded the source, created a Foresight package, uploaded it,and it will be available for anyone to use.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users